| Elektra 0.11.0

Classes | Namespaces
plugindatabase.hpp File Reference

Interface to all plugins. More...

`#include <map>`
`#include <memory>`
`#include <unordered_map>`
`#include <kdb.hpp>`
`#include <pluginspec.hpp>`

## Classes
class | kdb::tools::PluginDatabase
| Loads all plugins and allows us to query them. More...
class | kdb::tools::ModulesPluginDatabase
| A plugin database that works with installed modules. More...
class | kdb::tools::MockPluginDatabase
| A plugin database that works with added fake data. More...

## Namespaces
namespace | kdb
| This is the main namespace for the C++ binding and libraries.
namespace | kdb::tools
| This namespace is for the libtool library.

## Detailed Description

Interface to all plugins.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)